> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.kollo.ng/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.kollo.ng/_mcp/server.

# Kollo Transactions

GET https://kollo/{kolloId}/transactions

Reference: https://docs.kollo.ng/kollo-ap-is/kollo/kollo-transactions

## Authentication

- `Authorization` header (bearer token, required)

## Request

### Path parameters

- `kolloId` (string, required)

## Response

### 200

OK

- `message` (string, required)
- `body` (object, required)
  - `transactions` (list of object, required)
    - `transactionId` (string, required)
    - `currency` (string, required)
    - `transactionType` (string, required)
    - `amount` (string, required)
    - `description` (string, required)
    - `transactionDate` (datetime, required)
    - `status` (string, required)
    - `accountId` (string, required)
    - `sourceAccountId` (string, required)
    - `destinationAccountId` (string, required)
    - `createdAt` (datetime, required)
    - `updatedAt` (datetime, required)
    - `reference` (any, optional, nullable)
    - `parentTransactionId` (any, optional, nullable)
    - `createdBy` (any, optional, nullable)
  - `meta` (object, required)
    - `total` (integer, required)
    - `perPage` (integer, required)
    - `currentPage` (integer, required)
    - `lastPage` (integer, required)
    - `firstPage` (integer, required)
    - `firstPageUrl` (string, required)
    - `lastPageUrl` (string, required)
    - `nextPageUrl` (any, optional, nullable)
    - `previousPageUrl` (any, optional, nullable)

## Examples

**Response**

```json
{
  "message": "Kollo transactions fetched successfully",
  "body": {
    "transactions": [
      {
        "transactionId": "e96defdb-8699-4016-9c04-55343ac3f679",
        "currency": "NGN",
        "transactionType": "transfer",
        "amount": "4007",
        "description": "Kollo Withdrawal",
        "transactionDate": "2026-07-12T12:32:04Z",
        "status": "completed",
        "accountId": "89c8df54-fa09-47c7-9693-29e55283d998",
        "sourceAccountId": "89c8df54-fa09-47c7-9693-29e55283d998",
        "destinationAccountId": "1e4a26bc-1bde-40b1-8520-0b7cf40a9fe3",
        "createdAt": "2026-07-12T12:32:04Z",
        "updatedAt": "2026-07-12T12:32:04Z"
      },
      {
        "transactionId": "5bec0f1b-31f9-4b38-9f9f-406784c504e7",
        "currency": "NGN",
        "transactionType": "transfer",
        "amount": "400",
        "description": "Kollo Top Up",
        "transactionDate": "2026-07-12T12:31:54Z",
        "status": "completed",
        "accountId": "1e4a26bc-1bde-40b1-8520-0b7cf40a9fe3",
        "sourceAccountId": "1e4a26bc-1bde-40b1-8520-0b7cf40a9fe3",
        "destinationAccountId": "89c8df54-fa09-47c7-9693-29e55283d998",
        "createdAt": "2026-07-12T12:31:54Z",
        "updatedAt": "2026-07-12T12:31:54Z"
      },
      {
        "transactionId": "0ab21356-59ed-42e3-9c9a-e1c3372751f1",
        "currency": "NGN",
        "transactionType": "transfer",
        "amount": "400",
        "description": "Kollo Top Up",
        "transactionDate": "2026-07-09T06:10:51Z",
        "status": "completed",
        "accountId": "1e4a26bc-1bde-40b1-8520-0b7cf40a9fe3",
        "sourceAccountId": "1e4a26bc-1bde-40b1-8520-0b7cf40a9fe3",
        "destinationAccountId": "89c8df54-fa09-47c7-9693-29e55283d998",
        "createdAt": "2026-07-09T06:10:51Z",
        "updatedAt": "2026-07-09T06:10:51Z"
      },
      {
        "transactionId": "b5e6da86-9e70-4344-b371-16ec858696fb",
        "currency": "NGN",
        "transactionType": "transfer",
        "amount": "400",
        "description": "Kollo Withdrawal",
        "transactionDate": "2026-07-09T06:10:39Z",
        "status": "completed",
        "accountId": "89c8df54-fa09-47c7-9693-29e55283d998",
        "sourceAccountId": "89c8df54-fa09-47c7-9693-29e55283d998",
        "destinationAccountId": "1e4a26bc-1bde-40b1-8520-0b7cf40a9fe3",
        "createdAt": "2026-07-09T06:10:39Z",
        "updatedAt": "2026-07-09T06:10:39Z"
      },
      {
        "transactionId": "3ab26b20-3636-4960-a9f6-6aceb9c9f940",
        "currency": "NGN",
        "transactionType": "transfer",
        "amount": "8900",
        "description": "Kollo creation",
        "transactionDate": "2026-07-09T05:58:15Z",
        "status": "completed",
        "accountId": "1e4a26bc-1bde-40b1-8520-0b7cf40a9fe3",
        "sourceAccountId": "1e4a26bc-1bde-40b1-8520-0b7cf40a9fe3",
        "destinationAccountId": "89c8df54-fa09-47c7-9693-29e55283d998",
        "createdAt": "2026-07-09T05:58:15Z",
        "updatedAt": "2026-07-09T05:58:15Z"
      }
    ],
    "meta": {
      "total": 5,
      "perPage": 20,
      "currentPage": 1,
      "lastPage": 1,
      "firstPage": 1,
      "firstPageUrl": "/?page=1",
      "lastPageUrl": "/?page=1"
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://https/kollo/kolloId/transactions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://https/kollo/kolloId/transactions';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://https/kollo/kolloId/transactions"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://https/kollo/kolloId/transactions")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://https/kollo/kolloId/transactions")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://https/kollo/kolloId/transactions', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://https/kollo/kolloId/transactions");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://https/kollo/kolloId/transactions")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```